Permalink
Browse files

Fix digispark build issue

  • Loading branch information...
focalintent committed Sep 22, 2016
1 parent 03d1209 commit 173f4a2950c200d15360752f4980b1e1187347d9
Showing with 5 additions and 2 deletions.
  1. +1 −1 FastLED.cpp
  2. +1 −1 library.properties
  3. +3 −0 release_notes.md
View
@@ -129,7 +129,7 @@ void CFastLED::delay(unsigned long ms) {
::delay(1);
#endif
show();
-#if defined(ARDUINO) && (ARDUINO > 150) && !defined(IS_BEAN)
+#if defined(ARDUINO) && (ARDUINO > 150) && !defined(IS_BEAN) && !defined (ARDUINO_AVR_DIGISPARK)
yield();
#endif
}
View
@@ -1,5 +1,5 @@
name=FastLED
-version=3.1.3
+version=3.1.4
author=Daniel Garcia
maintainer=Daniel Garcia <dgarcia@fastled.io>
sentence=Multi-platform library for controlling dozens of different types of LEDs along with optimized math, effect, and noise functions.
View
@@ -1,3 +1,6 @@
+3.1.4
+* fix digispark avr build issue
+
FastLED3.1.3
===============

1 comment on commit 173f4a2

@kyet

This comment has been minimized.

Show comment
Hide comment
@kyet

kyet Dec 11, 2016

hm.. same issue on attiny85.

/root/Arduino/libraries/FastLED/FastLED.cpp:133:9: error: 'yield' was not declared in this scope
yield();
^

For tinycore users, refer this -
SpenceKonde/ATTinyCore#91

this issue will be fixed soon. (it is AttinyCore's fault, not FastLED)
but now, you can append a '!defined (ATTINYX5)' condition like this commit.

kyet commented on 173f4a2 Dec 11, 2016

hm.. same issue on attiny85.

/root/Arduino/libraries/FastLED/FastLED.cpp:133:9: error: 'yield' was not declared in this scope
yield();
^

For tinycore users, refer this -
SpenceKonde/ATTinyCore#91

this issue will be fixed soon. (it is AttinyCore's fault, not FastLED)
but now, you can append a '!defined (ATTINYX5)' condition like this commit.

Please sign in to comment.